{ stdenv, lib, fetchFromGitHub, buildGoModule }:
let
  version = "0.8";
  src = fetchFromGitHub {
    owner = "joohoi";
    repo = "acme-dns";
    rev = "v${version}";
    sha256 = "sha256-jt4sKwC0Ws6HMFG6+EdeMLZsmmy1UhVihUARzd1EU+w=";
  };
in
  buildGoModule {
    pname = "acme-dns";
    inherit src version;

    vendorSha256 = "sha256-jWkW7cuP0kd2ukdEJt92jMHWKwbCKL54tgEaVuo+SHs=";
    meta = with lib; {
      homepage = "https://github.com/joohoi/acme-dns";
      description = "Limited DNS server with RESTful HTTP API to handle ACME DNS challenges easily and securely.";
      license = licenses.mit;
      maintainers = with maintainers; [ ];
    };
  }
